package com.bankaudit.template.model;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;

@Entity(name="upload_template_entity_v_staging")
public class UploadTemplateEntity {

	
	/*Table: upload_template_entity_v_staging
	-------------------------------------------

	Column Information
	----------------------

	Field                Type          Collation          Null    Key     Default  Extra   Privileges                       Comment  
	-------------------  ------------  -----------------  ------  ------  -------  ------  -------------------------------  ---------
	id                   int(10)       (NULL)             NO              (NULL)           select,insert,update,references           
	unit_code            varchar(20)   latin1_swedish_ci  NO              (NULL)           select,insert,update,references           
	unit_name            varchar(50)   latin1_swedish_ci  NO              (NULL)           select,insert,update,references           
	level_code           varchar(20)   latin1_swedish_ci  NO              (NULL)           select,insert,update,references           
	parent_unit_code     varchar(20)   latin1_swedish_ci  NO              (NULL)           select,insert,update,references           
	unit_type            varchar(50)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	u_criticality        varchar(20)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	unit_open_date       timestamp     (NULL)             YES             (NULL)           select,insert,update,references           
	unit_head_user       varchar(20)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	unit_head_science    timestamp     (NULL)             YES             (NULL)           select,insert,update,references           
	weekly_holiday       varchar(25)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	fortnightly_holiday  varchar(25)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	contact_person       varchar(50)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	mailid               varchar(254)  latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	mobile1              varchar(13)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	mobile2              varchar(13)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	address1             varchar(50)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	address2             varchar(50)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	address3             varchar(50)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	city                 varchar(10)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	pincode              int(6)        (NULL)             YES             (NULL)           select,insert,update,references           
	landline1            varchar(13)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	landline2            varchar(13)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references 
	*/
	
	@Id
	@Column(name="id")
	int id;
	
	@Column(name="unit_code")
	String unitCode;
	
	@Column(name="unit_name")
	String unitName;
	
	@Column(name="level_code")
	String levelCode;
	
	@Column(name="parent_unit_code")
	String parentUnitCode;
	
	@Column(name="unit_type")
	String unitType;
	
	@Column(name="u_criticality")
	String uCriticality;
	
	@Column(name="unit_open_date")
	Date unitOpenDate;
	
	@Column(name="unit_head_user")
	String unitHeadUser;
	
	@Column(name="unit_head_science")
	Date unitHeadScience;
	
	@Column(name="weekly_holiday")
	String weeklyHoliday;
	
	@Column(name="fortnightly_holiday")
	String fortnightlyHoliday;
	
	@Column(name="contact_person")
	String contactPerson;
	
	@Column(name="mailid")
	String mailid;
	
	@Column(name="mobile1")
	String mobile1;
	
	@Column(name="mobile2")
	String mobile2;
	
	@Column(name="address1")
	String address1;
	
	@Column(name="address2")
	String address2;
	
	@Column(name="address3")
	String address3;
	
	@Column(name="city")
	String city;
	
	@Column(name="pincode")
	int pincode;
	
	@Column(name="landline1")
	String landline1;
	
	@Column(name="landline2")
	String landline2;

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getUnitCode() {
		return unitCode;
	}

	public void setUnitCode(String unitCode) {
		this.unitCode = unitCode;
	}

	public String getUnitName() {
		return unitName;
	}

	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}

	public String getLevelCode() {
		return levelCode;
	}

	public void setLevelCode(String levelCode) {
		this.levelCode = levelCode;
	}

	public String getParentUnitCode() {
		return parentUnitCode;
	}

	public void setParentUnitCode(String parentUnitCode) {
		this.parentUnitCode = parentUnitCode;
	}

	public String getUnitType() {
		return unitType;
	}

	public void setUnitType(String unitType) {
		this.unitType = unitType;
	}

	public String getuCriticality() {
		return uCriticality;
	}

	public void setuCriticality(String uCriticality) {
		this.uCriticality = uCriticality;
	}

	public Date getUnitOpenDate() {
		return unitOpenDate;
	}

	public void setUnitOpenDate(Date unitOpenDate) {
		this.unitOpenDate = unitOpenDate;
	}

	public String getUnitHeadUser() {
		return unitHeadUser;
	}

	public void setUnitHeadUser(String unitHeadUser) {
		this.unitHeadUser = unitHeadUser;
	}

	public Date getUnitHeadScience() {
		return unitHeadScience;
	}

	public void setUnitHeadScience(Date unitHeadScience) {
		this.unitHeadScience = unitHeadScience;
	}

	public String getWeeklyHoliday() {
		return weeklyHoliday;
	}

	public void setWeeklyHoliday(String weeklyHoliday) {
		this.weeklyHoliday = weeklyHoliday;
	}

	public String getFortnightlyHoliday() {
		return fortnightlyHoliday;
	}

	public void setFortnightlyHoliday(String fortnightlyHoliday) {
		this.fortnightlyHoliday = fortnightlyHoliday;
	}

	public String getContactPerson() {
		return contactPerson;
	}

	public void setContactPerson(String contactPerson) {
		this.contactPerson = contactPerson;
	}

	public String getMailid() {
		return mailid;
	}

	public void setMailid(String mailid) {
		this.mailid = mailid;
	}

	public String getMobile1() {
		return mobile1;
	}

	public void setMobile1(String mobile1) {
		this.mobile1 = mobile1;
	}

	public String getMobile2() {
		return mobile2;
	}

	public void setMobile2(String mobile2) {
		this.mobile2 = mobile2;
	}

	public String getAddress1() {
		return address1;
	}

	public void setAddress1(String address1) {
		this.address1 = address1;
	}

	public String getAddress2() {
		return address2;
	}

	public void setAddress2(String address2) {
		this.address2 = address2;
	}

	public String getAddress3() {
		return address3;
	}

	public void setAddress3(String address3) {
		this.address3 = address3;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public int getPincode() {
		return pincode;
	}

	public void setPincode(int pincode) {
		this.pincode = pincode;
	}

	public String getLandline1() {
		return landline1;
	}

	public void setLandline1(String landline1) {
		this.landline1 = landline1;
	}

	public String getLandline2() {
		return landline2;
	}

	public void setLandline2(String landline2) {
		this.landline2 = landline2;
	}

	@Override
	public String toString() {
		return "UploadTemplateEntity [id=" + id + ", unitCode=" + unitCode + ", unitName=" + unitName + ", levelCode="
				+ levelCode + ", parentUnitCode=" + parentUnitCode + ", unitType=" + unitType + ", uCriticality="
				+ uCriticality + ", unitOpenDate=" + unitOpenDate + ", unitHeadUser=" + unitHeadUser
				+ ", unitHeadScience=" + unitHeadScience + ", weeklyHoliday=" + weeklyHoliday + ", fortnightlyHoliday="
				+ fortnightlyHoliday + ", contactPerson=" + contactPerson + ", mailid=" + mailid + ", mobile1="
				+ mobile1 + ", mobile2=" + mobile2 + ", address1=" + address1 + ", address2=" + address2 + ", address3="
				+ address3 + ", city=" + city + ", pincode=" + pincode + ", landline1=" + landline1 + ", landline2="
				+ landline2 + "]";
	}
	
	
}
